Subject: [6tisch] Minutes, 22 May 2015 interim, 6TiSCH WG

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 22 May 2015 16:00:48 +0000

Note: timestamps in PST.

Connection details

  *   Webex: https://ciscosales.webex.com/ciscosales/j.php?ED=219615007&UID=481905242&PW=NZTRkNDAwOTE1&RT=MiMyMw%3D%3D
  *   Etherpad: http://etherpad.tools.ietf.org:9000/p/6tisch?useMonospaceFont=true
  *   Topic: 6TiSCH Bi-Weekly
  *   Time: 8:00 am, Pacific Daylight Time (San Francisco, GMT-07:00)
  *   Meeting Number: 206 802 913
  *   Meeting Password: sixtus
  *   CCM: +14085256800x206802913

Resources

  *   Webex recording: https://cisco.webex.com/ciscosales/lsr.php?RCID=a11d41def3ea4155b96be2d67c5df50f
  *   Wiki: https://bitbucket.org/6tisch/meetings/wiki/150522_webex
  *   Slides: https://bitbucket.org/6tisch/meetings/src/master/150522_webex/slides_150522_webex.ppt

Taking notes (using Etherpad)

Xavi, Thomas, Pascal

Present (alphabetically)

  1.  Thomas Watteyne
  2.  Pascal Thubert
  3.  A. Paventhan
  4.  Andy Bierman
  5.  Chonggang Wang
  6.  Diego Dujovne
  7.  Dominique Barthel
  8.  Guillaume Gaillard
  9.  Ismail Hakki Turan
  10. Malisa Vucinic
  11. Maria Rita Palattella
  12. Michael Richardson
  13. Michel Veillette
  14. Nicola Accettura
  15. Pat Kinney
  16. Patrick Wetterwald
  17. Peter van der Stok
  18. Pouria Zand
  19. Qin Wang
  20. Quentin Lampin
  21. Rene Struik
  22. S.V.R. Anand
  23. Sedat Gormus
  24. Tamer Elzayyat
  25. Xavi Vilajosana
  26. Zhuo Chen

Action Items

  *   Xavi to add a short description before subsections in section 10
  *   Thomas to send e-mail to ML with discussion on plugtest and hackathon
  *   Pascal, Rene and Michael to discuss join process in charter

Agenda

  *   Administrivia + announcements [2min]
  *   Status for draft-ietf-6tisch-architecture [5min]
  *   Status for draft-ietf-6tisch-minimal [10min]
  *   plugtest and hackathon news and dates [10min]
  *   COMI and CoAP draft [15min]
  *   Rechartering [10min]
  *   AOB [3min]

Minutes

  *   [07.04] Meeting starts
     *   recording starts.

*        [07.06] Administrivia + announcements

o   Agenda.

        *   Agenda is approved. No concerns raised.

o   Last Call Minutes

        *   Last Call Minutes are approved. No concerns raised.
     *   Announcement *'e' has been removed from the charter.
        *   RFC 7554 is published! TSCH.
        *   Announcement. New ETSI Group. IP6 ISG. Industry Specification Work.
        *   Best practices for industry.
        *
     *   [07.08] Status for draft-ietf-6tisch-architecture
     *   Last Call issues completed.
     *   Shepherd writeup taking place.

*        [07.10] Status for draft-ietf-6tisch-minimal

     *   Xavi has been working on restructuring the minimal draft. Comments from Pat and Tero not to reproduce exactly the IEEE802.15.4e standards.
     *   reworked sections 4 and 5. Pointed to set of example in Section 10.
     *   TODO: provide a bytestream for each example, to simplify work.
     *   Xavi presents new section 4.
        *   text same as before, explains the configuration for the EBs in minimal
        *   we refer to section 10.1, where example can be found
        *   provides description of what the reason for each IE is
     *   XAvi presents new Section 5
        *   adds section on ACK/NACK IE
        *   added several examples in section 10
        *   indicated in LSB.
        *   indicates that IEEE802.15.4 has precedence
     *   example:
        *   IEs in EBs
        *
     *   Thomas suggests to add a sentence above each subsection to describe the structure of the examples, missing how the document is organized
     *   Xavi agrees, todo for Xavi
     *   Thomas and Pascal thank Tero for suggesting that section and reviewing

*        [07.16] plugtest and hackathon news and dates

     *   news on the hackathon
     *   Talking to ETSI to see if Hackathon can be happening in the same time.
     *   Friday 17 to Sunday 19 of July a room is rented at the IETF hotel for plugTest
     *   Plugtest is an interop test. which requires several sessions to happen during different times.
     *   The hackathon is a more informal event where people can meet to work on 6tisch related stuff.
     *   Proposal : plugtest 17 and 18 and hackathon and 19. ETSI allows us to use the room for the hackathon.
     *   Need to do:
        *   get an entry in the hackathon related to our work at 6tisch
        *   have a list of scenes and copy paste that list in the hackathon wiki page.
     *   Dominique B. is interested on joining the hackathon.
     *   OpenWSN and OpenMote HW platform want to join too
     *   Univ. Bari team to work on security. TODO: Call for themes in the hackathon during this week.
     *   6TiSCH WG will be requested to be early in the week. There is absolutely no guarantee that this happen.
     *   Agenda is published 3 weeks before the event.

o   June 5th is the deadline for that request.

o   Hackthon is informal but a list of themes would be useful.

*

*        [07.25] COMI and CoAP draft

     *   Michel Veillette presents COMI and COAP Draft
     *   Issue of teh day is with collisions with the base-64 5bytes hash that encodes the data node path
     *   Aligned with RestCONF/ provides the same kind of services but for constrained devices. Object are designed using the YANG modeling language.
     *   uses CoAP instead of http
     *   uses DTLS instead of TLS
     *   Data Node ID in RestCONF is compressed using a hash valued. Encoded in BASE64 in the URI. In Binary in CBOR (4Byte)
     *   COMI is based on RESTCONF
     *   http:://cbor.me site to convert from plain bytes to CBOR.
     *   Yang hash clashes: can happen because two different sets of data can produce the same hash
     *   Prob of clash is small but they can happen.
     *   In the same module clashes can be detected
     *   From different modules there can be collisions (with low prob.)
     *   in draft v6 solves that having a rehash list (lookup table) where resources are remapped in case their hash collides.
     *   Servers offer mechanism to retrieve clash lists.
     *   list are very small. *Several alternatives to deal with clashes. Using a name and a select clause in the query to specify which resource is accessed. It introduces select overhead.
     *   Other solution (in total 4)
     *   TW: Asks, if this requires comments. and proposes a new solution -as a client add the underscore to the resource that has the collision.
     *   Peter V.S. Have for large COMI Clients to use the relabeling solution but if the nodes are constrained, the other presented solutions apply.
     *   Thomas agrees; Thomas asks if it is by design that all the hashes are static?
     *   Michel Veillete: List of resources can be dynamic. THe writer of the module will resolve the collisions (the assumption is that within the module won't be collisions)
     *   Andy: in RestCONF. In JSOn if there are siblings in the tree with the same local name, the server needs to qualify which module is each query coming from. If there is a collision you need the full extended name instead of the local name. This only when the collision happens.

*        [07.59] Rechartering

     *   Rechartering on going.
     *   Minimal
     *   security, as there is no consensus on the new proposed text we will move to the previous text as approved in Dallas with the exception that a new phrase will be added indicating what is K1 for interop purposes.
     *   ACTION: FInish the final amendments to the draft and send a pointer to the ML from bitbucket. Wait 1 week for consensus and ship to the IESG.
     *   6top and coap drafts are not ready yet. CoAP is bounded to the COMI work. 6top interface needs more work.
     *   Rechartering:
        *   Rene: says we have a lot of work done in security and proposes to keep progressing.
     *   Dynamic scheduling -- 6top, OTF, Archie 2. Security in the context of 6top. CHW:Neighbor discovery for 6tisch? PTis part of the original architecture. Do we need more?
Detnet
     *   track organization and operation.
     *

*        [08.09] AOB

o   No Other B.

-hackaton: Sedat thinks to go to an informal hackathon event. We cannot find any slot allocated. There will be hackathon 19th of July

*        [08.05] Meeting ends *

Cheers,

Pascal and Thomas